'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = SelectBar;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _SelectBar = require('../../../styles/cspace-ui/SelectBar.css');

var _SelectBar2 = _interopRequireDefault(_SelectBar);

var _ButtonBar = require('../../../styles/cspace-ui/ButtonBar.css');

var _ButtonBar2 = _interopRequireDefault(_ButtonBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var messages = (0, _reactIntl.defineMessages)({
  selected: {
    'id': 'selectBar.selected',
    'defaultMessage': '{selectedCount, plural, =0 {0 selected} other {# selected}}'
  }
});

var propTypes = {
  buttons: _react.PropTypes.arrayOf(_react.PropTypes.node),
  selectedCount: _react.PropTypes.number
};

function SelectBar(props) {
  var selectedCount = props.selectedCount,
      buttons = props.buttons;


  var buttonBar = null;

  if (buttons && buttons.length > 0) {
    buttonBar = _react2.default.createElement(
      'div',
      { className: _ButtonBar2.default.common },
      buttons
    );
  }

  return _react2.default.createElement(
    'div',
    { className: _SelectBar2.default.common },
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(_reactIntl.FormattedMessage, _extends({}, messages.selected, { values: { selectedCount: selectedCount } }))
    ),
    buttonBar
  );
}

SelectBar.propTypes = propTypes;